<template>
	<div class="widget" :style="{flexDirection: horizontal ? 'row' : 'column'}">
		<template v-if="horizontal">
			<div class="title">
				<b>{{title}}</b>
			</div>
			<div class="value">
				<span :style="{fontSize: valueSize}">{{value}}</span>
			</div>

		</template>
		<template v-else>
			<div class="value">
				<span :style="{fontSize: valueSize}">{{value}}</span>
			</div>
			<div class="title">
				<b>{{title}}</b>
			</div>
		</template>
	</div>
</template>
<script>
export default {
	props: {
		title: String,
		value: [String, Number],
		valueSize: {
			type: [String, Number],
			default: "1.5em"
		},
		horizontal: Boolean,
	}
}
</script>

<style lang="css" scoped>
	.widget {
		flex-grow: 1;
		background-color: #00000020;
		margin: 3px;
		display: flex;
		flex-direction: column;
		padding: 3px;
		justify-content: center; /* align horizontal */
		align-items: center; /* align vertical */
	}

	.title {
		width: 100%;
		font-size: 12px;
		text-align: center;
	}

	.value {
		width: 100%;
		flex-grow: 1;
		text-align: center;
		vertical-align: middle;
		display: flex;
		}

	.value span {
		vertical-align: middle;
		display: inline;
		font-size: 1.5em;
		margin: auto;
	}
</style>